package com.liang.service.impl;

import com.liang.dao.StaStatisticalSummaryDao;
import com.liang.service.StaStatisticalSummaryService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service("staStatisticalSummaryService")
public class StaStatisticalSummaryServiceImpl implements StaStatisticalSummaryService {

    @Resource
    private StaStatisticalSummaryDao staStatisticalSummaryDao;

    @Override
    public List<HashMap<String, Object>> outPaySummary(Map map) {
        return staStatisticalSummaryDao.outPaySummary(map);
    }

    @Override
    public List<HashMap<String, Object>> projectPay(Map map) {
        return staStatisticalSummaryDao.projectPay(map);
    }

}
